Name: 		goldendict
Version: 	1.0.1
Release: 	%mkrel 4
Summary: 	Dictionary Lookup Program
Group:   	Office
License: 	GPL
URL:     	http://goldendict.berlios.de
Source:  	%name-%version.tar.xz
Source2: 	%{name}_icons.tar.bz2
Patch0:         goldendict-1.0.1-gcc47.patch
Patch1:		goldendict-1.0.1-https.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	qt4-devel
BuildRequires:	%{_lib}xtst-devel
BuildRequires:	hunspell-devel
BuildRequires:	libvorbis-devel
BuildRequires:	desktop-file-utils
BuildRequires:	phonon-devel
BuildRequires:  %{_lib}qtwebkit4-devel

%description
Feature-rich dictionary lookup program.
    * Use of WebKit for an accurate articles' representation, complete with
      all formatting, colors, images and links.
    * Support of multiple dictionary file formats:
      * Babylon .BGL files
      * StarDict .ifo/.dict/.idx/.syn dictionaries
      * Dictd .index/.dict(.dz) dictionary files
      * ABBYY Lingvo .dsl source files
      * ABBYY Lingvo .lsa/.dat audio archives
    * Support for Wikipedia, Wiktionary or any other MediaWiki-based sites
    * Scan popup functionality. A small window pops up with translation of a
      word chosen from antoher application.
    * And much more...


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .gcc47
%patch1 -p1
tar --bzip2 -xf %{SOURCE2}

%build
# Fix the directory in goldendict.pro by removing apps
sed -i 's/share\/apps\/goldendict/share\/goldendict/g' goldendict.pro
# Fix the hunspell directory
sed -i 's|myspell/dicts|myspell|g' config.cc 
PREFIX=%{_prefix} qmake
perl -pi -e "s|/usr/local|/usr|" /usr/src/rpm/BUILD/goldendict-1.0.1/Makefile

make

%install
rm -rf %{buildroot}

perl -pi -e "s|/usr/local|/usr|" /usr/src/rpm/BUILD/goldendict-1.0.1/Makefile

make INSTALL_ROOT=$RPM_BUILD_ROOT install

mkdir -p %buildroot/%_miconsdir \
	 %buildroot/%_liconsdir \
	 %buildroot/%_iconsdir
	
install -m 644 %{name}-16.png %buildroot/%{_miconsdir}/%{name}.png
install -m 644 %{name}-32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 644 %{name}-48.png %buildroot/%{_liconsdir}/%{name}.png


#xdg menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Categories=Office;Dictionary;Education;Qt;Applications
Name=GoldenDict
GenericName=Multiformat Dictionary
Comment=GoldenDict
Encoding=UTF-8
Icon=goldendict.png
Exec=goldendict
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_datadir}/applications/%name.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/pixmaps/goldendict.png
%exclude %{_datadir}/app-install/desktop/goldendict.desktop
%exclude %{_datadir}/app-install/icons/goldendict.png


%changelog
* Tue Jun 23 2015 bb <bb> 1.0.1-4pclos2015
- change http to https

* Sun Jun 21 2015 ghostbunny <ghostbunny at gmx dot de> 1.0.1-3pclos2015
- rebuild against new hunspell version

* Thu Dec 12 2013 pinoc <vogtpet at gmail.com> 1.0.1-2pclos2013
- added gcc-patch
- added BR
- fix goldendict directories
- recompiled for 32/64

